#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Net
%define		pnam	LibIDN
Summary:	This module provides Perl bindings for GNU Libidn
Summary(pl.UTF-8):	Wiązania Libidn dla Perla	
Name:		perl-Net-LibIDN
Version:	0.12
Release:	10
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c3e4de2065009d67bcb1df0afb473e12
URL:		http://search.cpan.org/dist/Net-LibIDN/
BuildRequires:	libidn-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl bindings for GNU Libidn by Simon Josefsson
(http://www.gnu.org/software/libidn/)

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/LibIDN
%{perl_vendorarch}/auto/Net/LibIDN/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Net/LibIDN/*.so
%{_mandir}/man3/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-LibIDN.git;a=log;h=0f50f641fe3b5aad8793ae4bb8f831b5e01dddde

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0f50f64
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b61a61f
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Thu Nov 22 2018 Jan Rękorajski <baggins@pld-linux.org> 0d1ca3b
- rebuild with libidn 1.35
- release 9 (by relup.sh)

* Mon Oct 22 2018 Marcin Krol <hawk@tld-linux.org> 518618f
- release 8

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 882a247
- release 7

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9bdb431
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d080c35
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 69be375
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6cb614e
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1d12e6d
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 11 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 9abec51
- initial
  for amavisd-new

